form {
    margin: 0;
    outline: none;
}

form header {
    display: block;
}

form fieldset {
    display: block;
}

form fieldset + fieldset {
    border-top: 1px solid rgba(0, 0, 0, 1);
}

form section {
    margin-bottom: 1em;
}

form fieldset + fieldset {
    padding-top: 1em;
}

form footer {
    display: block;
}

form footer:after {
    content: '';
    display: table;
    clear: both;
}

form .label {
    display: block;
}

form .label.col {
    margin: 0;
    padding-top: 10px;
}

form .note {
    margin-top: 6px;
    padding: 0 1px;
}

form .input,
form .select,
form .textarea,
form .radio,
form .checkbox,
form .toggle {
    position: relative;
    display: block;
}

form .input input,
form .select select,
form .textarea textarea {
    display: block;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    width: 100%;
    appearance: normal;
    -moz-appearance: none;
    -webkit-appearance: none;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
}

form .progress {
    float: right;
    margin-top: 10px;
    line-height: 2;
}

form button::-moz-focus-inner {
    padding: 0;
    border: 0;
}


select[multiple] {
    min-height: 3.85em;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -ms-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}

select[multiple]:focus,
select[multiple]:hover {
    min-height: 7em;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -ms-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}


/* captcha inputs */
form .input-captcha img {
    position: absolute;
    top: 2px;
    right: 2px;
    border-left: 1px solid #e5e5e5;
}


/* file inputs */
form .input-file .button {
    position: absolute;
    top: 3px;
    right: 3px;
    float: none;
    height: 3em;
    margin: 0;
    padding: 0 20px;
    font-size: .8rem;
    line-height: 3em;
    border: none;
}

form .input-file .button input {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0;
    font-size: 30px;
    cursor: pointer;
    opacity: 0;
}


/* selects */
form .select i {
    position: absolute;
    top: 2px;
    right: 2px;
    width: 28px;
    height: 35px;
    pointer-events: none;
}

form .select i:after,
form .select i:before {
    content: '';
    position: absolute;
    right: 10px;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
}

form .select i:after {
    bottom: 12px;
    border-top: 4px solid #999;
}

form .select i:before {
    top: 12px;
    border-bottom: 4px solid #999;
}

form .select select {
    padding-right: 28px;
}

form .select-multiple select {
    height: auto;
}


/* textareas */
form .textarea textarea {
    height: auto;
    resize: none;
    min-height: 100px;
}

form .textarea-resizable textarea {
    resize: vertical;
}

form .textarea-expandable textarea {
    height: 60px;
    min-height: 60px;
    -webkit-transition: height 300ms ease-in-out;
    -moz-transition: height 300ms ease-in-out;
    -ms-transition: height 300ms ease-in-out;
    -o-transition: height 300ms ease-in-out;
    transition: height 300ms ease-in-out;
}

form .textarea-expandable textarea:focus {
    height: 140px;
    -webkit-transition: height 300ms ease-in-out;
    -moz-transition: height 300ms ease-in-out;
    -ms-transition: height 300ms ease-in-out;
    -o-transition: height 300ms ease-in-out;
    transition: height 300ms ease-in-out;
}


form .textarea .icon_append,
form .textarea .icon_prepend {
    height: 50px;
}

form .textarea-expandable:focus .icon_append,
form .textarea-expandable:focus .icon_prepend {
    height: 120px;
    -webkit-transition: height 300ms ease-in-out;
    -moz-transition: height 300ms ease-in-out;
    -ms-transition: height 300ms ease-in-out;
    -o-transition: height 300ms ease-in-out;
    transition: height 300ms ease-in-out;
}


/* radios and checkboxes */
form .radio,
form .checkbox {
    margin-bottom: 4px;
    padding-left: 27px;
    font-size: .9rem;
    line-height: 27px;
    cursor: pointer;
}

form .radio:last-child,
form .checkbox:last-child {
    margin-bottom: 0;
}

form .radio input,
form .checkbox input {
    position: absolute;
    left: -9999px;
}

form .radio i,
form .checkbox i {
    position: absolute;
    top: 5px;
    left: 0;
    display: block;
    width: 13px;
    height: 13px;
    outline: none;
    border-width: 1px;
    border-style: solid;
}

form .radio i {
    border-radius: 50%;
}

form .radio input + i:after,
form .checkbox input + i:after {
    position: absolute;
    opacity: 0;
    -ms-transition: opacity 0.1s;
    -moz-transition: opacity 0.1s;
    -webkit-transition: opacity 0.1s;
}

form .radio input + i:after {
    content: '';
    top: 4px;
    left: 4px;
    width: 5px;
    height: 5px;
    border-radius: 50%;
}

form .checkbox input + i:after {
    content: '\f00c';
    top: -1px;
    left: -1px;
    width: 15px;
    height: 15px;
    font: normal 12px/16px FontAwesome;
    text-align: center;
}

form .radio input:checked + i:after,
form .checkbox input:checked + i:after {
    opacity: 1;
}

form .inline-group {
    margin: 0 -30px -4px 0;
}

form .inline-group:after {
    content: '';
    display: table;
    clear: both;
}

form .inline-group .radio,
form .inline-group .checkbox {
    float: left;
    margin-right: 30px;
}

form .inline-group .radio:last-child,
form .inline-group .checkbox:last-child {
    margin-bottom: 4px;
}


/* toggles */
form .toggle {
    margin-bottom: 4px;
    padding-right: 61px;
    font-size: .9rem;
    line-height: 27px;
    cursor: pointer;
}

form .toggle:last-child {
    margin-bottom: 0;
}

form .toggle input {
    position: absolute;
    left: -9999px;
}

form .toggle i {
    content: '';
    position: absolute;
    top: 4px;
    right: 0;
    display: block;
    width: 49px;
    height: 17px;
    border-width: 2px;
    border-style: solid;
    border-radius: 12px;
}

form .toggle i:after {
    content: 'OFF';
    position: absolute;
    top: 2px;
    right: 8px;
    left: 8px;
    font-style: normal;
    font-size: 9px;
    line-height: 13px;
    font-weight: normal;
    text-align: left;
}

form .toggle i:before {
    content: '';
    position: absolute;
    z-index: 1;
    top: 4px;
    right: 4px;
    display: block;
    width: 9px;
    height: 9px;
    border-radius: 50%;
    opacity: 1;
    -ms-transition: right 0.2s;
    -moz-transition: right 0.2s;
    -webkit-transition: right 0.2s;
}

form .toggle input:checked + i:after {
    content: 'ON';
    text-align: right;
}

form .toggle input:checked + i:before {
    right: 36px;
}


/* ratings */
form .rating {
    margin-bottom: 4px;
    font-size: .9rem;
    line-height: 27px;
    display: inline-block;
}

form .rating strong {
    margin-right: .5em;
}

form .rating:last-child {
    margin-bottom: 0;
}

form .rating input {
    position: absolute;
    left: -9999px;
}

form .rating label {
    display: block;
    float: right;
    height: 17px;
    margin-top: 5px;
    padding: 0 1px;
    font-size: 1rem;
    line-height: 17px;
    cursor: pointer;
}


/* buttons */
form .button {
    height: 39px;
    overflow: hidden;
    padding: 0 25px;
    outline: none;
    cursor: pointer;
    border: none;
}

form .button-uploading {
    position: relative;
    color: transparent;
    cursor: default;
}

form .button-uploading:after {
    content: 'Uploading...';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: #fff;
    -o-animation: blink 1s linear infinite;
    -ms-animation: blink 1s linear infinite;
    -moz-animation: blink 1s linear infinite;
    -webkit-animation: blink 1s linear infinite;
}

@-o-keyframes blink {
    0% {
        opacity: 1
    }
    50% {
        opacity: 0.3
    }
    100% {
        opacity: 1
    }
}

@-ms-keyframes blink {
    0% {
        opacity: 1
    }
    50% {
        opacity: 0.3
    }
    100% {
        opacity: 1
    }
}

@-moz-keyframes blink {
    0% {
        opacity: 1
    }
    50% {
        opacity: 0.3
    }
    100% {
        opacity: 1
    }
}

@-webkit-keyframes blink {
    0% {
        opacity: 1
    }
    50% {
        opacity: 0.3
    }
    100% {
        opacity: 1
    }
}


/* icons */
form .icon_append,
form .icon_prepend {
    position: absolute;
    top: 5px;
    width: 29px;
    height: 2.35em;
    font-size: 15px;
    line-height: 29px;
    text-align: center;
    padding-top: 3px;
    z-index: 3 !important;
}

form .icon_append {
    right: 5px;
    padding-left: 3px;
    border-left-width: 1px;
    border-left-style: solid;
}

form .icon_prepend {
    left: 5px;
    padding-right: 3px;
    border-right-width: 1px;
    border-right-style: solid;
}

form .input .icon_prepend + input,
form .textarea .icon_prepend + textarea {
    padding-left: 46px;
}

form .input .icon_append + input,
form .textarea .icon_append + textarea {
    padding-right: 46px;
}

form .input .icon_prepend + .icon_append + input,
form .textarea .icon_prepend + .icon_append + textarea {
    padding-left: 46px;
}


/* grid */
form .row {
    margin: 0 -15px;
}

form .row:after {
    content: '';
    display: table;
    clear: both;
}

form .col {
    float: left;
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

form .col-1 {
    width: 8.33%;
}

form .col-2 {
    width: 16.66%;
}

form .col-3 {
    width: 25%;
}

form .col-4 {
    width: 33.33%;
}

form .col-5 {
    width: 41.66%;
}

form .col-6 {
    width: 50%;
}

form .col-7 {
    width: 58.33%;
}

form .col-8 {
    width: 66.67%;
}

form .col-9 {
    width: 75%;
}

form .col-10 {
    width: 83.33%;
}

form .col-11 {
    width: 91.66%;
}

@media screen and (max-width: 600px) {
    form .col {
        float: none;
        width: 100%;
    }
}


/* tooltips */
form .tooltip {
    position: absolute;
    z-index: 4;
    left: -9999px;
    padding: 2px 8px 3px;
    font-size: 11px;
    line-height: 16px;
    font-weight: 400;
    background: rgba(0, 0, 0, 0.9);
    color: #fff;
    opacity: 0;
    -ms-transition: margin 0.3s, opacity 0.3s;
    -moz-transition: margin 0.3s, opacity 0.3s;
    -webkit-transition: margin 0.3s, opacity 0.3s;
}

form .tooltip:after {
    content: '';
    position: absolute;
}

form .input input:focus + .tooltip,
form .textarea textarea:focus + .tooltip {
    opacity: 1;
}

form .tooltip-top-right {
    bottom: 100%;
    margin-bottom: 15px;
}

form .tooltip-top-right:after {
    top: 100%;
    right: 16px;
    border-top: 4px solid rgba(0, 0, 0, 0.9);
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
}

form .input input:focus + .tooltip-top-right,
form .textarea textarea:focus + .tooltip-top-right {
    right: 0;
    left: auto;
    margin-bottom: 5px;
}

form .tooltip-top-left {
    bottom: 100%;
    margin-bottom: 15px;
}

form .tooltip-top-left:after {
    top: 100%;
    left: 16px;
    border-top: 4px solid rgba(0, 0, 0, 0.9);
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
}

form .input input:focus + .tooltip-top-left,
form .textarea textarea:focus + .tooltip-top-left {
    right: auto;
    left: 0;
    margin-bottom: 5px;
}

form .tooltip-right {
    top: 9px;
    white-space: nowrap;
    margin-left: 15px;
}

form .tooltip-right:after {
    top: 6px;
    right: 100%;
    border-top: 4px solid transparent;
    border-right: 4px solid rgba(0, 0, 0, 0.9);
    border-bottom: 4px solid transparent;
}

form .input input:focus + .tooltip-right,
form .textarea textarea:focus + .tooltip-right {
    left: 100%;
    margin-left: 5px;
}

form .tooltip-left {
    top: 9px;
    white-space: nowrap;
    margin-right: 15px;
}

form .tooltip-left:after {
    top: 6px;
    left: 100%;
    border-top: 4px solid transparent;
    border-bottom: 4px solid transparent;
    border-left: 4px solid rgba(0, 0, 0, 0.9);
}

form .input input:focus + .tooltip-left,
form .textarea textarea:focus + .tooltip-left {
    right: 100%;
    left: auto;
    margin-right: 5px;
}

form .tooltip-bottom-right {
    top: 100%;
    margin-top: 15px;
}

form .tooltip-bottom-right:after {
    bottom: 100%;
    right: 16px;
    border-right: 4px solid transparent;
    border-bottom: 4px solid rgba(0, 0, 0, 0.9);
    border-left: 4px solid transparent;
}

form .input input:focus + .tooltip-bottom-right,
form .textarea textarea:focus + .tooltip-bottom-right {
    right: 0;
    left: auto;
    margin-top: 5px;
}

form .tooltip-bottom-left {
    top: 100%;
    margin-top: 15px;
}

form .tooltip-bottom-left:after {
    bottom: 100%;
    left: 16px;
    border-right: 4px solid transparent;
    border-bottom: 4px solid rgba(0, 0, 0, 0.9);
    border-left: 4px solid transparent;
}

form .input input:focus + .tooltip-bottom-left,
form .textarea textarea:focus + .tooltip-bottom-left {
    right: auto;
    left: 0;
    margin-top: 5px;
}


/* normal state */
form .input input,
form .select select,
form .textarea textarea,
form .radio i,
form .checkbox i,
form .toggle i,
form .icon_append,
form .icon_prepend {
    -ms-transition: border-color 0.3s;
    -moz-transition: border-color 0.3s;
    -webkit-transition: border-color 0.3s;
}

form .toggle i:before {
}

form .rating label {
    -ms-transition: color 0.3s;
    -moz-transition: color 0.3s;
    -webkit-transition: color 0.3s;
}

form .button {
    opacity: 0.8;
    -ms-transition: opacity 0.2s;
    -moz-transition: opacity 0.2s;
    -webkit-transition: opacity 0.2s;
}

form .button.button-secondary {
}

form .icon_append,
form .icon_prepend {
}


/* hover state */
form .input:hover input,
form .select:hover select,
form .textarea:hover textarea,
form .radio:hover i,
form .checkbox:hover i,
form .toggle:hover i,
form .ui-slider-handle:hover {
}

form .rating input + label:hover,
form .rating input + label:hover ~ label {
}

form .button:hover {
    opacity: 1;
}


/* focus state */
form .input input:focus,
form .select select:focus,
form .textarea textarea:focus,
form .radio input:focus + i,
form .checkbox input:focus + i,
form .toggle input:focus + i {
}


/* checked state */
form .radio input + i:after {
    background-color: #2da5da;
}

form .checkbox input + i:after {
    color: #2da5da;
}

form .radio input:checked + i,
form .checkbox input:checked + i,
form .toggle input:checked + i {
    border-color: #2da5da;
}

form .rating input:checked ~ label {
    color: #2da5da;
}


/**/
/* error state */
/**/
form .state-error input,
form .state-error select,
form .state-error select + i,
form .state-error textarea,
form .radio.state-error i,
form .checkbox.state-error i,
form .toggle.state-error i,
form .toggle.state-error input:checked + i {
    background: #fff0f0;
}

form .state-error + em {
    display: block;
    margin-top: 6px;
    padding: 0 1px;
    font-style: normal;
    font-size: 11px;
    line-height: 15px;
    color: #ee9393;
}

form .rating.state-error + em {
    margin-top: -4px;
    margin-bottom: 4px;
}


/* success state */
form .state-success input,
form .state-success select,
form .state-success select + i,
form .state-success textarea,
form .radio.state-success i,
form .checkbox.state-success i,
form .toggle.state-success i,
form .toggle.state-success input:checked + i {
    background: #f0fff0;
}

form .state-success + em {
    display: block;
    margin-top: 6px;
    padding: 0 1px;
    font-style: normal;
    font-size: 11px;
    line-height: 15px;
    color: #ee9393;
}

form .note-success {
    color: #6fb679;
}


/* disabled state */
form .input.state-disabled input,
form .select.state-disabled,
form .textarea.state-disabled,
form .radio.state-disabled,
form .checkbox.state-disabled,
form .toggle.state-disabled,
form .button.state-disabled {
    cursor: default;
    opacity: 0.5;
}

form .input.state-disabled:hover input,
form .select.state-disabled:hover select,
form .textarea.state-disabled:hover textarea,
form .radio.state-disabled:hover i,
form .checkbox.state-disabled:hover i,
form .toggle.state-disabled:hover i {
    border-color: #e5e5e5;
}


/* submited state */
form .message {
    display: none;
    color: #6fb679;
}

form .message i {
    display: block;
    margin: 0 auto 20px;
    width: 81px;
    height: 81px;
    border: 1px solid #6fb679;
    border-radius: 50%;
    font-size: 30px;
    line-height: 81px;
}

form.submited fieldset,
form.submited footer {
    display: none;
}

form.submited .message {
    display: block;
    padding: 25px 30px;
    background: rgba(255, 255, 255, .9);
    font: 300 18px/27px 'Open Sans', Helvetica, Arial, sans-serif;
    text-align: center;
}


/**/
/* datepicker */
/**/
.ui-datepicker {
    display: none;
    padding: 10px 12px;
    background: rgba(255, 255, 255, 0.9);
    box-shadow: 0 0 10px rgba(0, 0, 0, .3);
    font: 13px/1.55 'Open Sans', Helvetica, Arial, sans-serif;
    text-align: center;
    color: #666;
}

.ui-datepicker a {
    color: #404040;
}

.ui-datepicker-header {
    position: relative;
    margin: -10px -12px 10px;
    padding: 10px;
    border-bottom: 1px solid rgba(0, 0, 0, .1);
    font-size: 15px;
    line-height: 27px;
}

.ui-datepicker-prev,
.ui-datepicker-next {
    position: absolute;
    top: 0;
    display: block;
    width: 47px;
    height: 47px;
    font-size: 15px;
    line-height: 47px;
    text-decoration: none;
    cursor: pointer;
}

.ui-datepicker-prev {
    left: 0;
}

.ui-datepicker-next {
    right: 0;
}

.ui-datepicker-calendar {
    border-collapse: collapse;
    font-size: 13px;
    line-height: 27px;
}

.ui-datepicker-calendar th {
    color: #999;
}

.ui-datepicker-calendar a,
.ui-datepicker-calendar span {
    display: block;
    width: 31px;
    margin: auto;
    text-decoration: none;
    color: #404040;
}

.ui-datepicker-calendar a:hover {
    background: rgba(0, 0, 0, .05);
}

.ui-datepicker-calendar span {
    color: #bfbfbf;
}

.ui-datepicker-today a {
    font-weight: 700;
}

.ui-datepicker-calendar .ui-state-active {
    background: rgba(0, 0, 0, .05);
    cursor: default;
}

.ui-datepicker-inline {
    border: 2px solid #e5e5e5;
    background: #fff;
    box-shadow: none;
}

.ui-datepicker-inline .ui-datepicker-header {
    line-height: 47px;
}

.ui-datepicker-inline .ui-datepicker-calendar {
    width: 100%;
}


/* slider */
form .ui-slider {
    position: relative;
    height: 3px;
    border: 2px solid #e5e5e5;
    background: #fff;
    margin: 12px 6px 26px;
}

form .ui-slider-handle {
    position: absolute;
    width: 15px;
    height: 15px;
    margin: -8px 0 0 -8px;
    border: 3px solid #e5e5e5;
    outline: none;
    background: #fff;
    -ms-transition: border-color 0.3s;
    -moz-transition: border-color 0.3s;
    -webkit-transition: border-color 0.3s;
    border-radius: 50%;
    -webkit-transition: background 300ms ease-in-out;
    -moz-transition: background 300ms ease-in-out;
    -ms-transition: background 300ms ease-in-out;
    -o-transition: background 300ms ease-in-out;
    transition: background 300ms ease-in-out;
}


/**/
/* modal */
/**/
form-modal {
    position: fixed;
    z-index: 1;
    display: none;
    width: 400px;
}

form-modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
}


/* bootstrap compatibility */
form *,
form *:after,
form *:before {
    /*margin: 0;
    padding: 0;
    box-sizing: content-box;
    -moz-box-sizing: content-box;*/
}

form .radio,
form .radio *,
form .checkbox,
form .checkbox *,
form .toggle,
form .toggle * {
    box-sizing: content-box !important;
    -moz-box-sizing: content-box !important;
}

form *[class*="col-"] {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

form .label {
    border-radius: 0;
    font-size: 100%;
    text-align: left;
    white-space: normal;
    color: inherit;
}

form .radio,
form .checkbox {
    font-weight: 400;
}

.inline-group .checkbox + .checkbox,
.inline-group .radio + .radio {
    margin-top: 10px;
}

form div:not(.inline-group) .radio + .radio,
form div:not(.inline-group) .checkbox + .checkbox {
    margin-top: 0;
}